Bug 108011 - Customize window: Commands list should be responsive by keyboard
Summary: Customize window: Commands list should be responsive by keyboard
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2017-05-22 22:25 UTC by Thomas Lendo
Modified: 2017-09-13 07:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-05-22 22:25:34 UTC
- Open a LibreOffice document.
- Go to menu Tools > Customize.
- Click on "Add commands" (in all tabs but Keyboard and Events available).
- Click into the commands list or the category list.
- Type a character on the keyboard.

Actual result:
Nothing happens when using the keyboard.

Expected result:
As many users are familiar with jumping to a list entry by typing a keyboard character (e.g. in file managers), the same behavior would enhance the usability of the 2 mentioned lists: category and commands. Often it's awkward to scroll to the range of possible entries where the searched term is included. Typing G to jump to the first commands entry beginning with G would fasten the process.
Comment 1 Yousuf Philips (jay) (retired) 2017-05-23 15:44:19 UTC
Yes this is one of the enhancements which will be implemented in the redesign of the customization dialog (bug 88896), if the command list is a listbox and not a tree view.
Comment 2 Commit Notification 2017-09-11 14:42:58 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=167876df09254d43ae1f45d658b59f84b5b724e8

tdf#108011: Customize dialog's commands list should respond to keyboard

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Thomas Lendo 2017-09-13 07:41:42 UTC
Verified with LibO 6.0.0, daily build from 2017-09-11 on Ubuntu Linux.

Thank you very much for this enhancement!